import { index, layout, route } from "@react-router/dev/routes";
import type { RouteConfig } from "@react-router/dev/routes";

export default [
  layout("./routes/auth/layout.tsx", [
    route("login", "./routes/auth/login/page.tsx"),
    route("signup", "./routes/auth/signup/page.tsx"),
  ]),
  layout("./routes/app/layout.tsx", [
    layout("./routes/app/mobile/layout.tsx", [
      index("./routes/app/mobile/page.tsx"),
      route("chat", "./routes/app/mobile/chat/page.tsx"),
      route("work", "./routes/app/mobile/work-list/page.tsx"),
      route("work/:workUnitId", "./routes/app/mobile/work/page.tsx"),
    ]),
    route("dashboard", "./routes/app/dashboard/page.tsx"),
    route("todos", "./routes/app/todos/page.tsx"),
  ]),
] satisfies RouteConfig;
